Subject: Re: bug#26339: [PATCH 02/18] system: Add extlinux support.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 13 May 2017 11:53:39 +0200

Hi Mathieu,

On Fri, 12 May 2017 14:18:37 +0200
Mathieu Othacehe <[email-masked]> wrote:

> Hi !
> 
> > So it should probably pick the current (not the newest) bootloader type.  
> 
> I'm not fan of installing every bootloader config because it means
> multiple gcroots and filling /boot with possibly useless stuff.
> 
> However, reading the "parameters" of current system, extracting
> bootloader type, and reinstalling *only* the bootloader configuration
> file for this type seems a good idea to me.
> 
> I'll use this solution for v4.

If you mean that for "switch-generation" you use the current generation's bootloader but for "reconfigure" you use the newly-specified bootloader, I agree :)

Otherwise one could never switch the bootloader.